> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Lease: Rentvine

POST https://api.propexo.com/v1/leases/rentvine/
Content-Type: application/json

Create Lease: Rentvine| Interface | Method                   |
| --------- | ------------------------ |
| Leases    | POST /api/manager/leases |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/rentvine/leases/create-lease-rentvine

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_leases_rentvine__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `scheduled_move_in_date` (V1LeasesRentvinePostInputScheduledMoveInDate, required) — The move-in date associated with the lease
- `start_date` (V1LeasesRentvinePostInputStartDate, required) — The start date associated with the lease
- `rent_amount_in_cents` (integer, required) — The rent amount in cents for the lease
- `nsf_fee_amount_in_cents` (integer, required) — The NSF fee amount in cents for the lease
- `status` (enum, required) — The status associated with the lease
  - Allowed values: `PENDING`, `ACTIVE`
- `associated_resident_ids` (list of string, required) — A list of Propexo Resident IDs associated with the lease. The resident must be a primary.
- `employee_id` (string, optional) — The Propexo unique identifier for the employee
- `end_date` (V1LeasesRentvinePostInputEndDate, optional) — The end date associated with the lease
- `resident_charges` (list of V1LeasesRentvinePostInputResidentChargesItems, optional) — A list of move in charges for the lease
- `recurring_resident_charges` (list of V1LeasesRentvinePostInputRecurringResidentChargesItems, optional) — A list of recurring charges for the lease
- `other_occupants` (list of V1LeasesRentvinePostInputOtherOccupantsItems, optional) — A list of other occupants for the lease

## Response

### 200

Successful response

- `meta` (V1LeasesRentvinePostOutputMeta, required)
- `result` (V1LeasesRentvinePostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeasesRentvinePostInputScheduledMoveInDate

The move-in date associated with the lease

### V1LeasesRentvinePostInputStartDate

The start date associated with the lease

### V1LeasesRentvinePostInputEndDate

The end date associated with the lease

### V1LeasesRentvinePostInputResidentChargesItems

- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `post_date` (V1LeasesRentvinePostInputResidentChargesItemsPostDate, required) — The post date for the resident charge
- `description` (string, required) — Description of the resident charge
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `is_prorated` (boolean, required) — Whether or not the resident charge is prorated

### V1LeasesRentvinePostInputRecurringResidentChargesItems

- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `start_date` (V1LeasesRentvinePostInputRecurringResidentChargesItemsStartDate, required) — The start date associated with the recurring resident charge
- `description` (string, required) — Description of the resident charge
- `amount_in_cents` (integer, required) — The amount of the recurring resident charge, in cents
- `charge_due_day` (integer, required) — The day of the month the charge is due
- `frequency_raw` (integer, required) — The raw value of the frequency of the recurring resident charge. This will be the frequency (in months) for Rentvine
- `end_date` (V1LeasesRentvinePostInputRecurringResidentChargesItemsEndDate, optional) — The end date associated with the recurring resident charge

### V1LeasesRentvinePostInputOtherOccupantsItems

- `first_name` (string, required) — The first name associated with the occupant
- `last_name` (string, required) — The last name associated with the occupant
- `date_of_birth` (V1LeasesRentvinePostInputOtherOccupantsItemsDateOfBirth, optional) — The date of birth associated with the occupant

### V1LeasesRentvinePostOutputMeta

- `job_id` (string, required)

### V1LeasesRentvinePostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `employee_id` (string, required, nullable) — The Propexo unique identifier for the employee
- `scheduled_move_in_date` (V1LeasesRentvinePostOutputResultScheduledMoveInDate, required, nullable)
- `start_date` (V1LeasesRentvinePostOutputResultStartDate, required, nullable)
- `end_date` (V1LeasesRentvinePostOutputResultEndDate, required, nullable) — The end date associated with the lease
- `rent_amount_in_cents` (integer, required) — The rent amount in cents for the lease
- `nsf_fee_amount_in_cents` (integer, required) — The NSF fee amount in cents for the lease
- `status` (enum, required) — The status associated with the lease
  - Allowed values: `PENDING`, `ACTIVE`
- `associated_resident_ids` (list of string, required)
- `resident_charges` (list of V1LeasesRentvinePostOutputResultResidentChargesItems, optional) — A list of move in charges for the lease
- `recurring_resident_charges` (list of V1LeasesRentvinePostOutputResultRecurringResidentChargesItems, optional) — A list of recurring charges for the lease
- `other_occupants` (list of V1LeasesRentvinePostOutputResultOtherOccupantsItems, optional, nullable)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1LeasesRentvinePostInputResidentChargesItemsPostDate

The post date for the resident charge

### V1LeasesRentvinePostInputRecurringResidentChargesItemsStartDate

The start date associated with the recurring resident charge

### V1LeasesRentvinePostInputRecurringResidentChargesItemsEndDate

The end date associated with the recurring resident charge

### V1LeasesRentvinePostInputOtherOccupantsItemsDateOfBirth

The date of birth associated with the occupant

### V1LeasesRentvinePostOutputResultScheduledMoveInDate

### V1LeasesRentvinePostOutputResultStartDate

### V1LeasesRentvinePostOutputResultEndDate

The end date associated with the lease

### V1LeasesRentvinePostOutputResultResidentChargesItems

- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `post_date` (V1LeasesRentvinePostOutputResultResidentChargesItemsPostDate, required) — The post date for the resident charge
- `description` (string, required) — Description of the resident charge
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `is_prorated` (boolean, required) — Whether or not the resident charge is prorated

### V1LeasesRentvinePostOutputResultRecurringResidentChargesItems

- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `start_date` (V1LeasesRentvinePostOutputResultRecurringResidentChargesItemsStartDate, required) — The start date associated with the recurring resident charge
- `description` (string, required) — Description of the resident charge
- `amount_in_cents` (integer, required) — The amount of the recurring resident charge, in cents
- `charge_due_day` (integer, required) — The day of the month the charge is due
- `frequency_raw` (integer, required) — The raw value of the frequency of the recurring resident charge. This will be the frequency (in months) for Rentvine
- `end_date` (V1LeasesRentvinePostOutputResultRecurringResidentChargesItemsEndDate, optional) — The end date associated with the recurring resident charge

### V1LeasesRentvinePostOutputResultOtherOccupantsItems

- `first_name` (string, required) — The first name associated with the occupant
- `last_name` (string, required) — The last name associated with the occupant
- `date_of_birth` (V1LeasesRentvinePostOutputResultOtherOccupantsItemsDateOfBirth, optional) — The date of birth associated with the occupant

### V1LeasesRentvinePostOutputResultResidentChargesItemsPostDate

The post date for the resident charge

### V1LeasesRentvinePostOutputResultRecurringResidentChargesItemsStartDate

The start date associated with the recurring resident charge

### V1LeasesRentvinePostOutputResultRecurringResidentChargesItemsEndDate

The end date associated with the recurring resident charge

### V1LeasesRentvinePostOutputResultOtherOccupantsItemsDateOfBirth

The date of birth associated with the occupant

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "unit_id": "unit_12345abcde",
  "scheduled_move_in_date": "2024-07-01T14:00:00Z",
  "start_date": "2024-07-01T14:00:00Z",
  "rent_amount_in_cents": 150000,
  "nsf_fee_amount_in_cents": 3500,
  "status": "PENDING",
  "associated_resident_ids": [
    "res_98765zyxwv"
  ]
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_20240615_abcdef123456"
  },
  "result": {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "unit_id": "unit_12345abcde",
    "employee_id": "emp_54321fedcba",
    "scheduled_move_in_date": "2024-07-01T14:00:00Z",
    "start_date": "2024-07-01T14:00:00Z",
    "end_date": "2025-06-30T23:59:59Z",
    "rent_amount_in_cents": 150000,
    "nsf_fee_amount_in_cents": 3500,
    "status": "PENDING",
    "associated_resident_ids": [
      "res_98765zyxwv"
    ],
    "resident_charges": [
      {
        "financial_account_id": "finacc_0011223344",
        "post_date": "2024-07-01",
        "description": "Security Deposit",
        "amount_in_cents": 50000,
        "is_prorated": false
      }
    ],
    "recurring_resident_charges": [
      {
        "financial_account_id": "finacc_5566778899",
        "start_date": "2024-07-01",
        "description": "Monthly Rent",
        "amount_in_cents": 150000,
        "charge_due_day": 1,
        "frequency_raw": 1,
        "end_date": "2025-06-30"
      }
    ],
    "other_occupants": [
      {
        "first_name": "Jane",
        "last_name": "Doe",
        "date_of_birth": "1990-05-15"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/rentvine/"

payload = {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "unit_id": "unit_12345abcde",
    "scheduled_move_in_date": "2024-07-01T14:00:00Z",
    "start_date": "2024-07-01T14:00:00Z",
    "rent_amount_in_cents": 150000,
    "nsf_fee_amount_in_cents": 3500,
    "status": "PENDING",
    "associated_resident_ids": ["res_98765zyxwv"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/rentvine/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e","unit_id":"unit_12345abcde","scheduled_move_in_date":"2024-07-01T14:00:00Z","start_date":"2024-07-01T14:00:00Z","rent_amount_in_cents":150000,"nsf_fee_amount_in_cents":3500,"status":"PENDING","associated_resident_ids":["res_98765zyxwv"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/rentvine/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"unit_id\": \"unit_12345abcde\",\n  \"scheduled_move_in_date\": \"2024-07-01T14:00:00Z\",\n  \"start_date\": \"2024-07-01T14:00:00Z\",\n  \"rent_amount_in_cents\": 150000,\n  \"nsf_fee_amount_in_cents\": 3500,\n  \"status\": \"PENDING\",\n  \"associated_resident_ids\": [\n    \"res_98765zyxwv\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/rentvine/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"unit_id\": \"unit_12345abcde\",\n  \"scheduled_move_in_date\": \"2024-07-01T14:00:00Z\",\n  \"start_date\": \"2024-07-01T14:00:00Z\",\n  \"rent_amount_in_cents\": 150000,\n  \"nsf_fee_amount_in_cents\": 3500,\n  \"status\": \"PENDING\",\n  \"associated_resident_ids\": [\n    \"res_98765zyxwv\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/leases/rentvine/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"unit_id\": \"unit_12345abcde\",\n  \"scheduled_move_in_date\": \"2024-07-01T14:00:00Z\",\n  \"start_date\": \"2024-07-01T14:00:00Z\",\n  \"rent_amount_in_cents\": 150000,\n  \"nsf_fee_amount_in_cents\": 3500,\n  \"status\": \"PENDING\",\n  \"associated_resident_ids\": [\n    \"res_98765zyxwv\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/leases/rentvine/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "unit_id": "unit_12345abcde",
  "scheduled_move_in_date": "2024-07-01T14:00:00Z",
  "start_date": "2024-07-01T14:00:00Z",
  "rent_amount_in_cents": 150000,
  "nsf_fee_amount_in_cents": 3500,
  "status": "PENDING",
  "associated_resident_ids": [
    "res_98765zyxwv"
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/rentvine/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"unit_id\": \"unit_12345abcde\",\n  \"scheduled_move_in_date\": \"2024-07-01T14:00:00Z\",\n  \"start_date\": \"2024-07-01T14:00:00Z\",\n  \"rent_amount_in_cents\": 150000,\n  \"nsf_fee_amount_in_cents\": 3500,\n  \"status\": \"PENDING\",\n  \"associated_resident_ids\": [\n    \"res_98765zyxwv\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "unit_id": "unit_12345abcde",
  "scheduled_move_in_date": "2024-07-01T14:00:00Z",
  "start_date": "2024-07-01T14:00:00Z",
  "rent_amount_in_cents": 150000,
  "nsf_fee_amount_in_cents": 3500,
  "status": "PENDING",
  "associated_resident_ids": ["res_98765zyxwv"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/rentvine/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```